summaryrefslogtreecommitdiffstats
path: root/network/proxymini
diff options
context:
space:
mode:
Diffstat (limited to 'network/proxymini')
-rw-r--r--network/proxymini/README4
-rw-r--r--network/proxymini/proxymini.146
-rw-r--r--network/proxymini/proxymini.SlackBuild52
-rw-r--r--network/proxymini/proxymini.info10
-rw-r--r--network/proxymini/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/network/proxymini/README b/network/proxymini/README
new file mode 100644
index 0000000000..fb4892db17
--- /dev/null
+++ b/network/proxymini/README
@@ -0,0 +1,4 @@
+proxymini is a proxy server that fully supports HTTP, HTTP CONNECT (for HTTPS
+and so on), SOCKS4 (TCP and TCP bind) and SOCKS5 (TCP, TCP bind and UDP).
+It's designed to be small and for being used in trusted environments where
+there is no need of complex or advanced options.
diff --git a/network/proxymini/proxymini.1 b/network/proxymini/proxymini.1
new file mode 100644
index 0000000000..7d49861238
--- /dev/null
+++ b/network/proxymini/proxymini.1
@@ -0,0 +1,46 @@
+.TH proxymini 1 "October 11, 2009"
+.SH NAME
+proxymini \- a proxy server that supports HTTP, HTTP CONNECT, SOCKS4 and SOCKS5
+.SH SYNOPSIS
+.B proxymini
+[
+.B \-h
+] [
+.B \-l IP
+] [
+.B \-L IP
+] [
+.B \-p PORT
+] [
+.B \-v
+] [
+.B \-o FILE
+]
+.SH DESCRIPTION
+Proxy server that fully supports all the following protocols: HTTP, HTTP CONNECT (for HTTPS and so on), SOCKS4 (TCP and TCP bind) and SOCKS5 (TCP, TCP bind and UDP). It's designed to be small and for being used in trusted environments where there is no need of complex or advanced options and other boring things, double click on it and it will work immediately. It supports also some options like binding a specific interfaces for incoming or outgoing connections, custom port to bind (default is 8123), stdout and file verbose logging.
+.SH OPTIONS
+.TP
+.B \-h
+display a short help text
+.TP
+.B \-l IP
+local interface to bind (default any)
+.TP
+.B \-L IP
+as above but works only for the outgoing socket, this means you can decide to use a secondary interface for connecting to the hosts (for example using a Wireless connection instead of your main one) interface to use for outgoing connections
+.TP
+.B \-p PORT
+local port to bind, default 8123
+.TP
+.B \-v
+verbose logging on standard output (default is none)
+.TP
+.B \-o FILE
+logs everything in the file FILE, it's just as \-v but for file
+.SH EXAMPLES
+bind to port 1080 on local host and fork into background
+.PP
+proxymini \-l 127.0.0.1 \-p 1080 &
+.PP
+.SH AUTHOR
+Luigi Auriemma <aluigi@autistici.org>
diff --git a/network/proxymini/proxymini.SlackBuild b/network/proxymini/proxymini.SlackBuild
new file mode 100644
index 0000000000..ac9e4369f2
--- /dev/null
+++ b/network/proxymini/proxymini.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for proxymini
+# Written by Thomas Morper <thomas@beingboiled.info>
+
+PRGNAM=proxymini
+VERSION=${VERSION:-0.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -d $PRGNAM-$VERSION $CWD/$PRGNAM.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type f -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make
+
+mkdir -p $PKG/usr/bin
+cp -a proxymini $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+cat $CWD/proxymini.1 > $PKG/usr/man/man1/proxymini.1
+gzip -9 $PKG/usr/man/man1/proxymini.1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/proxymini/proxymini.info b/network/proxymini/proxymini.info
new file mode 100644
index 0000000000..8c7b3ec4d8
--- /dev/null
+++ b/network/proxymini/proxymini.info
@@ -0,0 +1,10 @@
+PRGNAM="proxymini"
+VERSION="0.2.1"
+HOMEPAGE="http://aluigi.org/mytoolz.htm"
+DOWNLOAD="http://aluigi.org/mytoolz/proxymini.zip"
+MD5SUM="ef34e950a23d03c21ea8a85fc2a905ac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thomas Morper"
+EMAIL="thomas@beingboiled.info"
+APPROVED="rworkman"
diff --git a/network/proxymini/slack-desc b/network/proxymini/slack-desc
new file mode 100644
index 0000000000..9dc016930b
--- /dev/null
+++ b/network/proxymini/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+proxymini: proxymini (small proxy server)
+proxymini:
+proxymini: proxymini is a proxy server that fully supports HTTP, HTTP CONNECT
+proxymini: (for HTTPS and so on), SOCKS4 (TCP and TCP bind) and SOCKS5 (TCP, TCP
+proxymini: bind and UDP). It's designed to be small and for being used in
+proxymini: trusted environments where there is no need of complex or advanced
+proxymini: options.
+proxymini:
+proxymini:
+proxymini:
+proxymini: